#!/usr/bin/env ruby
# = RubyLogo
# === A Logo interpreter written in Ruby
# Christian Kandler
# mailto:ckand002@student.informatik.fh-wiesbaden.de
#

# This is an alternative to LogoGUIInfoBox which is compatible to older
# versions of FXRuby. Its functionality is identical to LogoGUIInfoBox.
#
class OldFoxGUIInfoBox < Fox::FXDialogBox
  # Return a message window as a child window to the given parent.
  #
  def initialize(parent)
    super(parent, "Info", DECOR_ALL, 0, 0, 400, 400, 0, 0, 0, 0, 0, 0)
    begin
      self.icon = FXPNGIcon.new(app, File.open("help.png", "rb"){|f| f.read},
        0, 0, 40, 40)
    rescue StandardError
    end
    button = Fox::FXButton.new(self, "&Close help window", nil, self, ID_ACCEPT,
    LAYOUT_SIDE_BOTTOM|LAYOUT_FILL_X)
    textbox = Fox::FXText.new(self, nil, 0,
    LAYOUT_FILL_X|LAYOUT_FILL_Y|TEXT_READONLY)
    button.backColor = FXRGB(255, 200, 0)
    textbox.backColor = FXRGB(255, 255, 200)
    textbox.textColor = FXRGB(0, 0, 0)
    textbox.verticalScrollbar.backColor = FXRGB(255, 200, 0)
    textbox.horizontalScrollbar.backColor = FXRGB(255, 200, 0)
    textbox.text = <<INFO
RubyLogo - A Logo interpreter written in Ruby
(c) 2005, 2006 Christian Kandler


Refer to the included RDoc documentation for more information
about parser syntax and program details


The RubyLogo syntax:

forward x
move the turtle x steps forward

fd x
alias for forward x

backward x
move the turtle x steps backward

bk x
alias for backward x

right x
turn the turtle x degrees to the right

rt x
alias for right x

left x
turn the turtle x degrees to the left

lt x
alias for left x

move x y
move the turtle to the coordinates (x, y)

home
move the turtle to its starting coordinates

turn x
turn the turtle into the absolute direction x (clockwise
rotation, 0 being the starting direction)

reset
return turtle into its starting position, remove all drawn
lines but retain functions and variables

penup
raise pen from drawing area

pu
alias for penup

pendown
lower pen onto drawing area

pd
alias for pendown

hide
make the turtle invisible

show
make the turtle visible

color name
change the turtle's color to name

fg name
alias for color name

background name
change the background color to name

bg name
alias for background name

repeat x code end
repeat code for x times

if condition then code end
execute code only if condition is true

while condition do code end
execute code repeatedly as long as condition is true

def name [variables] code end
define a function with optional variables. Calling the function
through the command name will execute code. Functions must be
called with the correct number of arguments.

to name [variables] code end
alias for def name [variables] code end
INFO
  end
end


